/*********************************************************************
  ulib/graphics/datatypes/motionfield.hh

  purpose:

  notes:

  to do:

  author(s):
   - Dirk Farin, farin@ti.uni-mannheim.de
     University Mannheim, Dept. Circuitry and Simulation
     B 6,26 EG, room 0.10 / D-68131 Mannheim / Germany

  modifications:
    1999/Oct/19 - Dirk Farin - integration into CVS, mostly rewritten
 *********************************************************************/

#ifndef ULIB_GRAPHICS_DATATYPES_MOTIONFIELD_HH
#define ULIB_GRAPHICS_DATATYPES_MOTIONFIELD_HH

#include "ulib/graphics/basic/bitmap.hh"


struct MotionVector
{
  double h,v;
};


struct MotionVectorField
{
  Bitmap<MotionVector> mv;
  int blksize_h,blksize_v;
  int nblks_h  ,nblks_v;
};

#endif

